This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 707971 - defaults.list needs updating for libreoffice
defaults.list needs updating for libreoffice
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: shared-mime-info (Show other bugs)
15
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-26 09:14 EDT by Edward Sheldrake
Modified: 2011-05-29 19:23 EDT (History)
2 users (show)

See Also:
Fixed In Version: shared-mime-info-0.90-8.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-29 19:23:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to updates defaults.list (5.80 KB, patch)
2011-05-26 09:55 EDT, Caolan McNamara
no flags Details | Diff

  None (edit)
Description Edward Sheldrake 2011-05-26 09:14:49 EDT
Description of problem:
defaults.list still contains references to openoffice.org, but we have libreoffice now, all the .desktop files have been renamed, as a result the default application for various file types may end up wrong e.g. okular for .odt files.

Version-Release number of selected component (if applicable):
shared-mime-info-0.90-7.fc15

How reproducible:
Not always, what program ends up the default depends on what programs you have installed.

Steps to Reproduce:
1. Double-click a .odt file in nautilus
2.
3.
  
Actual results:
It might open in Okular.

Expected results:
It defaults to opening in LibreOffice Writer.

Additional info:
Comment 1 Caolan McNamara 2011-05-26 09:55:01 EDT
Created attachment 501096 [details]
patch to updates defaults.list
Comment 2 Fedora Update System 2011-05-26 12:30:38 EDT
shared-mime-info-0.90-8.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/shared-mime-info-0.90-8.fc15
Comment 3 Fedora Update System 2011-05-26 17:54:09 EDT
Package shared-mime-info-0.90-8.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing shared-mime-info-0.90-8.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/shared-mime-info-0.90-8.fc15
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2011-05-29 19:23:13 EDT
shared-mime-info-0.90-8.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.